Loading...
Searching...
No Matches
itk::GPUShrinkImageFilter< TInputImage, TOutputImage > Class Template Reference

`#include <itkGPUShrinkImageFilter.h>`

## Detailed Description

template<typename TInputImage, typename TOutputImage>
class itk::GPUShrinkImageFilter< TInputImage, TOutputImage >

GPU version of ShrinkImageFilter.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 44 of file itkGPUShrinkImageFilter.h.

Inheritance diagram for itk::GPUShrinkImageFilter< TInputImage, TOutputImage >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CPUSuperclass = ShrinkImageFilter<TInputImage, TOutputImage>
using | GPUSuperclass = GPUImageToImageFilter<TInputImage, TOutputImage, CPUSuperclass>
using | InputImageConstPointer = typename InputImageType::ConstPointer
using | InputImagePixelType = typename InputImageType::PixelType
using | InputImagePointer = typename InputImageType::Pointer
using | InputImageRegionType = typename InputImageType::RegionType
using | InputImageType = TInputImage
using | InputIndexType = typename CPUSuperclass::InputIndexType
using | OutputImagePixelType = typename GPUSuperclass::OutputImagePixelType
using | OutputImageRegionType = typename GPUSuperclass::OutputImageRegionType
using | OutputIndexType = typename CPUSuperclass::OutputIndexType
using | OutputOffsetType = typename CPUSuperclass::OutputOffsetType
using | Pointer = SmartPointer<Self>
using | Self = GPUShrinkImageFilter
using | ShrinkFactorsType = typename CPUSuperclass::ShrinkFactorsType
Public Types inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, ShrinkImageFilter< TInputImage, TOutputImage > >
using | ConstPointer
using | InputImageConstPointer
using | InputImagePixelType
using | InputImagePointer
using | InputImageRegionType
using | InputImageType
using | OutputImageType
using | Pointer
using | Self
using | Superclass

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (GPUShrinkImageFilter)
| itkStaticConstMacro (InputImageDimension, unsigned int, TInputImage::ImageDimension)
| itkStaticConstMacro (OutputImageDimension, unsigned int, TOutputImage::ImageDimension)
Public Member Functions inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, ShrinkImageFilter< TInputImage, TOutputImage > >
virtual bool | GetGPUEnabled () const
virtual void | GPUEnabledOff ()
virtual void | GPUEnabledOn ()
void | GraftOutput (DataObject *graft) override
| ITK_DISALLOW_COPY_AND_MOVE (GPUImageToImageFilter)
| itkStaticConstMacro (InputImageDimension, unsigned int, TInputImage::ImageDimension)
virtual void | SetGPUEnabled (bool _arg)
void | SetNumberOfWorkUnits (ThreadIdType _arg) override

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, ShrinkImageFilter< TInputImage, TOutputImage > >
static Pointer | New ()

## Protected Member Functions

void | GPUGenerateData () override
| GPUShrinkImageFilter ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GPUShrinkImageFilter () override=default
Protected Member Functions inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, ShrinkImageFilter< TInputImage, TOutputImage > >
void | GenerateData () override
| GPUImageToImageFilter ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GPUImageToImageFilter () override=default

## Private Attributes

std::vcl_size_t | m_DeviceLocalMemorySize {}
std::vcl_size_t | m_FilterGPUKernelHandle {}

## Additional Inherited Members

Protected Attributes inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, ShrinkImageFilter< TInputImage, TOutputImage > >
OpenCLKernelManager::Pointer | m_GPUKernelManager

## Member Typedef Documentation

## ConstPointer

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::ConstPointer = SmartPointer<const Self>

Definition at line 55 of file itkGPUShrinkImageFilter.h.

## CPUSuperclass

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::CPUSuperclass = ShrinkImageFilter<TInputImage, TOutputImage>

Definition at line 52 of file itkGPUShrinkImageFilter.h.

## GPUSuperclass

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::GPUSuperclass = GPUImageToImageFilter<TInputImage, TOutputImage, CPUSuperclass>

Definition at line 53 of file itkGPUShrinkImageFilter.h.

## InputImageConstPointer

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::InputImageConstPointer = typename InputImageType::ConstPointer

Definition at line 70 of file itkGPUShrinkImageFilter.h.

## InputImagePixelType

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::InputImagePixelType = typename InputImageType::PixelType

Definition at line 72 of file itkGPUShrinkImageFilter.h.

## InputImagePointer

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::InputImagePointer = typename InputImageType::Pointer

Definition at line 69 of file itkGPUShrinkImageFilter.h.

## InputImageRegionType

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::InputImageRegionType = typename InputImageType::RegionType

Definition at line 71 of file itkGPUShrinkImageFilter.h.

## InputImageType

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::InputImageType = TInputImage

Some convenient typedefs.

Definition at line 68 of file itkGPUShrinkImageFilter.h.

## InputIndexType

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::InputIndexType = typename CPUSuperclass::InputIndexType

Definition at line 76 of file itkGPUShrinkImageFilter.h.

## OutputImagePixelType

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::OutputImagePixelType = typename GPUSuperclass::OutputImagePixelType

Definition at line 65 of file itkGPUShrinkImageFilter.h.

## OutputImageRegionType

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::OutputImageRegionType = typename GPUSuperclass::OutputImageRegionType

Superclass typedefs.

Definition at line 64 of file itkGPUShrinkImageFilter.h.

## OutputIndexType

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::OutputIndexType = typename CPUSuperclass::OutputIndexType

Definition at line 75 of file itkGPUShrinkImageFilter.h.

## OutputOffsetType

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::OutputOffsetType = typename CPUSuperclass::OutputOffsetType

Definition at line 77 of file itkGPUShrinkImageFilter.h.

## Pointer

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::Pointer = SmartPointer<Self>

Definition at line 54 of file itkGPUShrinkImageFilter.h.

## Self

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::Self = GPUShrinkImageFilter

Standard class typedefs.

Definition at line 51 of file itkGPUShrinkImageFilter.h.

## ShrinkFactorsType

template<typename TInputImage, typename TOutputImage>

using itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::ShrinkFactorsType = typename CPUSuperclass::ShrinkFactorsType

Definition at line 74 of file itkGPUShrinkImageFilter.h.

## Constructor & Destructor Documentation

## GPUShrinkImageFilter()

template<typename TInputImage, typename TOutputImage>

itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::GPUShrinkImageFilter | ( |  | ) |

protected

## ~GPUShrinkImageFilter()

template<typename TInputImage, typename TOutputImage>

itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::~GPUShrinkImageFilter | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<typename TInputImage, typename TOutputImage>

virtual const char * itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUImageToImageFilter< TInputImage, TOutputImage, ShrinkImageFilter< TInputImage, TOutputImage > >.

## GPUGenerateData()

template<typename TInputImage, typename TOutputImage>

void itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::GPUGenerateData | ( |  | ) |

override protected virtual

Reimplemented from itk::GPUImageToImageFilter< TInputImage, TOutputImage, ShrinkImageFilter< TInputImage, TOutputImage > >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TInputImage, typename TOutputImage>

itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPUShrinkImageFilter< TInputImage, TOutputImage > |  | ) |

## itkStaticConstMacro() [1/2]

template<typename TInputImage, typename TOutputImage>

itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::itkStaticConstMacro | ( | InputImageDimension | ,
|  | unsigned int | ,
|  | TInputImage::ImageDimension | )

ImageDimension constants

## itkStaticConstMacro() [2/2]

template<typename TInputImage, typename TOutputImage>

itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::itkStaticConstMacro | ( | OutputImageDimension | ,
|  | unsigned int | ,
|  | TOutputImage::ImageDimension | )

## New()

template<typename TInputImage, typename TOutputImage>

Pointer itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::New | ( |  | ) |

static

Method for creation through the object factory.

## PrintSelf()

template<typename TInputImage, typename TOutputImage>

void itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## Field Documentation

## m_DeviceLocalMemorySize

template<typename TInputImage, typename TOutputImage>

std::vcl_size_t itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::m_DeviceLocalMemorySize {}

private

Definition at line 94 of file itkGPUShrinkImageFilter.h.

## m_FilterGPUKernelHandle

template<typename TInputImage, typename TOutputImage>

std::vcl_size_t itk::GPUShrinkImageFilter< TInputImage, TOutputImage >::m_FilterGPUKernelHandle {}

private

Definition at line 93 of file itkGPUShrinkImageFilter.h.

Generated on 1768596610 for elastix by 1.15.0 |